Gets specific Supplier Return Status by unique id
Gets specific Supplier Return Status by unique id
Path Parameters
Supplier Return Status id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Supplier Return Status
SupplierReturnStatus
Supplier Return Status Model
Supplier Return Status Id.
Supplier Return Status name
Path Parameters
Headers
suppliers
Searches Suppliers by parameters
Searches Suppliers by parameters
Query Parameters
Admin only orders flag
Supplier Id. Other properties are skipped, if used
Modified since
Admin only orders flag
Select fields.
Available field name values: id, supplier_code, name
Example: id
Order by.
Available field name values: is_enabled
Available direction values: asc, desc.
Example: is_enabled asc
Filter by.
Available field name values: is_enabled
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: is_enabled:eq:true
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Suppliers data
Supplier.PagingResponse
Supplier model
Show Child Parameters
Query Parameters
Headers
Creates Supplier
Sample request:
POST /suppliers
{
"supplier_code": "Test code",
"name": "Test name",
"address": {
"address_line1": "string",
"suburb": "string",
"state": "string",
"postcode": "string",
"country": {
"id": 2,
"name": "string"
}
},
"phone": "string",
"fax": "string",
"contact_name": "string",
"contact_email": "contact_email@com.au",
"order_email": "order_email@com.au",
"admin_only_orders": false,
"deposit_required": false,
"shipping_port": {
"id": 2,
"name": "string"
},
"country_of_origin": {
"id": 2,
"name": "string"
},
"shipping_terms": "string",
"payment_terms": "string",
"comments": "string comment",
"purchase_order_template": "Standard",
"is_enabled": true,
"po_sku1_enabled": true,
"po_sku2_enabled": true
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Supplier to be created
EmptyExample
Response
application/json
Response
Created
Supplier
Supplier model
Supplier Id
Supplier Code
>= 0 characters<= 20 characters
Supplier Name
>= 0 characters<= 50 characters
Supplier address model
Show Child Parameters
Supplier Phone Number
>= 0 characters<= 20 characters
Supplier Fax Number
>= 0 characters<= 20 characters
Supplier Contact Name
>= 0 characters<= 50 characters
Supplier Contact Email
>= 0 characters<= 120 characters
Supplier Order Email
>= 0 characters<= 120 characters
Admin Only Orders Flag
Deposit Required Flag
Show Child Parameters
Show Child Parameters
Supplier Shipping Terms
>= 0 characters<= 50 characters
Supplier Payment Terms
>= 0 characters<= 50 characters
Supplier Comments
Match pattern:^[^*|":<>[\]{}`\()';@&$#!-/?]+$
>= 0 characters<= 255 characters
Supplier Purchase Order Template type
PO SKU 1 Enabled (FALSE by default)
PO SKU 2 Enabled (TRUE by default)
Is enabled flag
Modified On
Headers
Body
Gets Supplier by id
Gets Supplier by id
Path Parameters
Supplier id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns Supplier
Supplier
Supplier model
Supplier Id
Supplier Code
>= 0 characters<= 20 characters
Supplier Name
>= 0 characters<= 50 characters
Supplier address model
Show Child Parameters
Supplier Phone Number
>= 0 characters<= 20 characters
Supplier Fax Number
>= 0 characters<= 20 characters
Supplier Contact Name
>= 0 characters<= 50 characters
Supplier Contact Email
>= 0 characters<= 120 characters
Supplier Order Email
>= 0 characters<= 120 characters
Admin Only Orders Flag
Deposit Required Flag
Show Child Parameters
Show Child Parameters
Supplier Shipping Terms
>= 0 characters<= 50 characters
Supplier Payment Terms
>= 0 characters<= 50 characters
Supplier Comments
Match pattern:^[^*|":<>[\]{}`\()';@&$#!-/?]+$
>= 0 characters<= 255 characters
Supplier Purchase Order Template type
PO SKU 1 Enabled (FALSE by default)
PO SKU 2 Enabled (TRUE by default)
Is enabled flag
Modified On